[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Segmentation fault on xmms startup (NVIDIA graphic driver involved)

Package: xmms
Version: 1.2.10+cvs20050209-2
Severity: grave
Justification: renders package unusable

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-k7
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro (charmap=ISO-8859-15)

if i start xmms  in Gnome (from console or ALT+F2 -> xmms) it do not
start and from console i get the message:

paolo@wood:~$ xmms

Segmentation fault

Probabilmente hai trovato un bug in XMMS, per piacere visita
http://bugs.xmms.org e riempi un bug-report.

Segmentation fault

it started happening after i upgrade a lot of packages, such as gcc4
(and related), some Gnome packages. After doing the update it says that
i cannot installa alsa-utils (so i do not have this package installed)
if this could be of any interest.

stack trace:

#0  0xb6f4231a in _nv000000gl () from /usr/lib/tls/libnvidia-tls.so.1
#1  0xb6d7ecf5 in ?? () from /usr/lib/libGL.so.1
#2  0xb6d8fc02 in _init () from /usr/lib/libGL.so.1
#3  0xb7f04ff4 in ?? () from /lib/ld-linux.so.2
#4  0x081a47f8 in ?? ()
#5  0xbf8030d0 in ?? ()
#6  0xbf802ad8 in ?? ()
#7  0x00000001 in ?? ()
#8  0xb7efa164 in _dl_rtld_di_serinfo () from /lib/ld-linux.so.2
#9  0xb7efa28e in _dl_rtld_di_serinfo () from /lib/ld-linux.so.2
#10 0xb7b83431 in getutmpx () from /lib/tls/libc.so.6
#11 0xb7efa027 in _dl_rtld_di_serinfo () from /lib/ld-linux.so.2
#12 0xb7b83b86 in _dl_open () from /lib/tls/libc.so.6
#13 0xb7ceed33 in ?? () from /lib/tls/libdl.so.2
#14 0xfffffffe in ?? ()
#15 0xbf802d1c in ?? ()
#16 0x00000000 in ?? ()
#17 0xb7f04ff4 in ?? () from /lib/ld-linux.so.2
#18 0x00000000 in ?? ()
#19 0xb7cfacd0 in pthread_setcanceltype () from /lib/tls/libpthread.so.0
#20 0xb7efa027 in _dl_rtld_di_serinfo () from /lib/ld-linux.so.2
#21 0xb7cef487 in dlerror () from /lib/tls/libdl.so.2
#22 0xb7ceedb1 in dlopen () from /lib/tls/libdl.so.2
#23 0x080676a1 in add_plugin ()
#24 0x080678d4 in scan_plugins ()
#25 0x08066eda in init_plugins ()
#26 0x080831b2 in main ()

(Well it seems that the problem is with NVIDIA non free dirvers)


Versions of packages xmms depends on:
ii  libc6                     2.3.5-6        GNU C Library: Shared libraries an
ii  libglib1.2                1.2.10-10      The GLib library of C routines
ii  libgtk1.2                 1.2.10-17      The GIMP Toolkit set of widgets fo
ii  libice6                   6.8.2.dfsg.1-6 Inter-Client Exchange library
ii  libsm6                    6.8.2.dfsg.1-6 X Window System Session Management
ii  libssl0.9.7               0.9.7e-3       SSL shared libraries
ii  libx11-6                  6.8.2.dfsg.1-6 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-6 X Window System miscellaneous exte
ii  libxi6                    6.8.2.dfsg.1-6 X Window System Input extension li
ii  xlibs                     6.8.2.dfsg.1-6 X Window System client libraries m

Versions of packages xmms recommends:
ii  libasound2                1.0.9-3        ALSA library
ii  libaudiofile0             0.2.6-6        Open-source version of SGI's audio
ii  libesd0                   0.2.36-1       Enlightened Sound Daemon - Shared 
ii  libmikmod2                3.1.11-a-6     A portable sound library
ii  libogg0                   1.1.2-1        Ogg Bitstream Library
ii  libvorbis0a               1.1.0-1        The Vorbis General Audio Compressi
ii  libvorbisfile3            1.1.0-1        The Vorbis General Audio Compressi
ii  unzip                     5.52-3         De-archiver for .zip files
ii  xlibmesa-gl [libgl1]      6.8.2.dfsg.1-6 Mesa 3D graphics library [X.Org]
ii  zlib1g                    1:1.2.2-4      compression library - runtime

-- no debconf information


If you feel is a good idea, pleas correct my poor English

if you have a minute to spend pleas visit my photogrphy site:

Reply to: